Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.cms
Class OriginatorInfo

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.cms.OriginatorInfo

All Implemented Interfaces:
  DEREncodable

    public class OriginatorInfo

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`OriginatorInfo(ASN1Sequence seq)`
`OriginatorInfo(ASN1Set certs, ASN1Set crls)`

Method Summary
`ASN1Set` `getCertificates()`
`ASN1Set` `getCRLs()`
`static OriginatorInfo` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an OriginatorInfo object from a tagged object.
`static OriginatorInfo` `getInstance(java.lang.Object obj)` return an OriginatorInfo object from the given object.
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OriginatorInfo

    public OriginatorInfo(ASN1Set certs,
                          ASN1Set crls)

### OriginatorInfo

    public OriginatorInfo(ASN1Sequence seq)

Method Detail

### getInstance

    public static OriginatorInfo getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

  return an OriginatorInfo object from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want.
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the object held by the tagged object cannot be converted.

### getInstance

    public static OriginatorInfo getInstance(java.lang.Object obj)

  return an OriginatorInfo object from the given object.

  Parameters:
    `obj` - the object we want converted.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getCertificates

    public ASN1Set getCertificates()

### getCRLs

    public ASN1Set getCRLs()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       OriginatorInfo ::= SEQUENCE {
           certs [0] IMPLICIT CertificateSet OPTIONAL,
           crls [1] IMPLICIT CertificateRevocationLists OPTIONAL
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45